<cfcomponent output="false">
	<cfset this.name = "logger">
	
	<cffunction name="onRequestEnd" returnType="void" output="false">
		<cfargument name="targetPage" type="string" required="true">
		
		<cfthread targetPage="#arguments.targetPage#" remoteAddr="#cgi.REMOTE_ADDR#" httpUserAgent="#cgi.HTTP_USER_AGENT#">
			<cfquery datasource="sqlservertest">
				INSERT INTO RequestLog (
					RequestPage,
					REMOTE_ADDR,
					HTTP_USER_AGENT
				) VALUES (
					<cfqueryparam cfsqltype="cf_sql_varchar" value="#Left(attributes.targetPage, 255)#">,
					<cfqueryparam cfsqltype="cf_sql_varchar" value="#Left(attributes.remoteAddr, 255)#">,
					<cfqueryparam cfsqltype="cf_sql_varchar" value="#Left(attributes.httpUserAgent, 255)#">
				)
			</cfquery>
		</cfthread>
	</cffunction>
</cfcomponent>