<cfcomponent output="false">
	<cfset this.name = "logger">
	
	<cffunction name="onRequestEnd" returnType="void" output="false">
		<cfargument name="targetPage" type="string" required="true">
		
		<cfquery datasource="sqlservertest" background="true">
			INSERT INTO RequestLog (
				RequestPage,
				REMOTE_ADDR,
				HTTP_USER_AGENT
			) VALUES (
				<cfqueryparam cfsqltype="cf_sql_varchar" value="#Left(arguments.targetPage, 255)#">,
				<cfqueryparam cfsqltype="cf_sql_varchar" value="#Left(cgi.REMOTE_ADDR, 255)#">,
				<cfqueryparam cfsqltype="cf_sql_varchar" value="#Left(cgi.HTTP_USER_AGENT, 255)#">
			)
		</cfquery>
	</cffunction>
</cfcomponent>