<cfquery datasource="sqlservertest" name="Variables.employees">
	SELECT * FROM Employees
	WHERE Email IS NULL
</cfquery>

<cfdump var="#Variables.employees#" label="employees">

<h3>Email = <cfoutput>#Variables.employees.Email#</cfoutput></h3>

<cfif NOT len(Variables.employees.Email)>
	<h3>Yes, NOT len(Variables.employees.Email) evaluates to True; this code works as it always has!</h3>
</cfif>

<cfif Variables.employees.Email EQ "">
	<h3>Yes, Variables.employees.Email eq "" evaluates to True; this code works as it always has!</h3>
</cfif>

<cfif Variables.employees.Email EQ null>
	<h3>Yes, Variables.employees.Email eq null evaluates to True</h3>
</cfif>

<cfif isNull(Variables.employees.Email)>
	<h3>Yes, isNull(Variables.employees.Email) evaluates to True</h3>
</cfif>

<cfif Variables.employees.Email EQ null> <!--- This code finds NULLs. --->
	Just NULLs.<br>
<cfelseif Variables.employees.Email EQ ""> <!--- This code finds empty strings; we know it doesn't find NULLs because the condition above does that. --->
	Just empty strings.<br>
</cfif>

<cfif Variables.employees.Email EQ ""> <!--- This code finds empty strings and NULLs. --->
	Empty strings and NULLs.<br>
</cfif>