<cfcomponent name="employee" output="false">
	<cffunction name="init" returntype="employee" output="false">
		<cfargument name="empID" type="numeric" required="true">
		
		<cfquery datasource="sqlservertest" name="employee">
			SELECT * FROM Employees
			WHERE EmpID = <cfqueryparam value="#Arguments.empID#" cfsqltype="cf_sql_integer">
		</cfquery>
		
		<cfif employee.recordCount eq 0>
			<cfreturn null>
		<cfelse>
			<cfset this.empID = employee.empID>
			<cfset this.FirstName = employee.FirstName>
			<cfset this.LastName = employee.LastName>
			<cfset this.Email = employee.Email>
			<cfset this.Phone = employee.Phone>
			<cfset this.Department = employee.Department>
			
			<cfreturn this>
		</cfif>
	</cffunction>
	
	<cffunction name="update" returntype="boolean" output="false">
		<cfargument name="empID" type="numeric" required="true">
		<cfargument name="FirstName" type="string" required="no">
		<cfargument name="LastName" type="string" required="no">
		<cfargument name="Email" type="string" required="no">
		<cfargument name="Phone" type="string" required="no">
		<cfargument name="Department" type="string" required="no">
		
		<cfset var argumentsLeft = StructCount(Arguments) - 1>
		
		<cftry>
			<cfif argumentsLeft>
				<cfquery datasource="sqlservertest">
					UPDATE Employees
					SET
						<cfif StructKeyExists(Arguments, "FirstName")>
							FirstName = <cfqueryparam value="#Arguments.FirstName#" cfsqltype="cf_sql_varchar">
							
							<cfset argumentsLeft = argumentsLeft - 1>
							<cfif argumentsLeft>,</cfif>
						</cfif>
						
						<cfif StructKeyExists(Arguments, "LastName")>
							LastName = <cfqueryparam value="#Arguments.LastName#" cfsqltype="cf_sql_varchar">
							
							<cfset argumentsLeft = argumentsLeft - 1>
							<cfif argumentsLeft>,</cfif>
						</cfif>
						
						<cfif StructKeyExists(Arguments, "Email")>
							Email = <cfqueryparam value="#Arguments.Email#" cfsqltype="cf_sql_varchar">
							
							<cfset argumentsLeft = argumentsLeft - 1>
							<cfif argumentsLeft>,</cfif>
						</cfif>
						
						<cfif StructKeyExists(Arguments, "Phone")>
							Phone = <cfqueryparam value="#Arguments.Phone#" cfsqltype="cf_sql_varchar">
							
							<cfset argumentsLeft = argumentsLeft - 1>
							<cfif argumentsLeft>,</cfif>
						</cfif>
						
						<cfif StructKeyExists(Arguments, "Department")>
							Department = <cfqueryparam value="#Arguments.Department#" cfsqltype="cf_sql_varchar">
						</cfif>
					WHERE EmpID = <cfqueryparam value="#Arguments.empID#" cfsqltype="cf_sql_integer">
				</cfquery>
			</cfif>
			
			<cfset init(1)>
			<cfreturn True>
			
			<cfcatch type="database">
				<cfreturn False>
			</cfcatch>
		</cftry>
	</cffunction>
</cfcomponent>