<cfcomponent extends="lightSource">
	
	<!--- The incandescent bulb's methods. --->
	
	<cffunction name="emitLight" output="false" returntype="string" access="public">
		
		<!--- var scope variables must be set at the beginning of the function in CFMX; these are dummy values --->
		<cfset var returnVar = "">
		<cfset var luminosity = "">
		
		<!--- Get the incandescent bulb's luminosity. --->
		<cfset luminosity = createObject("component", "ac").runAC(this)>
		
		<!--- Set up the display of the incandescent bulb. --->
		<cfset returnVar = displayLight(luminosity)>
		
		<cfreturn returnVar>
	</cffunction>
</cfcomponent>