<!--- The properties really should be encapsulated. --->

<cfset Variables.theSun = createObject("component", "star")>
<cfset Variables.theSun.color = "white">
<cfset Variables.theSun.diameter = 1.392 * 10^6>
<cfset Variables.theSun.surfaceTemperature = 5785>
<cfset Variables.theSun.luminosity = 4 * 10^26>

<cfset Variables.incandescentBulb1 = createObject("component", "incandescentBulb")>
<cfset Variables.incandescentBulb1.color = "white">
<cfset Variables.incandescentBulb1.diameter = 4 / 12 / 5380 * 1.609344>
<cfset Variables.incandescentBulb1.surfaceTemperature = 3000>
<cfset Variables.incandescentBulb1.luminosity = 100>

<cfset Variables.incandescentBulb2 = createObject("component", "incandescentBulb")>
<cfset Variables.incandescentBulb2.color = "daylight">
<cfset Variables.incandescentBulb2.diameter = 4 / 12 / 5380 * 1.609344>
<cfset Variables.incandescentBulb2.surfaceTemperature = 6000>
<cfset Variables.incandescentBulb2.luminosity = 200>

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<title>Light</title>
	</head>
	
	<body>
		Sunlight: <cfoutput>#Variables.theSun.emitLight()#</cfoutput><br>
		Sunlight: <cfoutput>#Variables.theSun.emitUVRadiation()#</cfoutput><br>
		Incandescent bulb 1: <cfoutput>#Variables.incandescentBulb1.emitLight()#</cfoutput><br>
		Incandescent bulb 2: <cfoutput>#Variables.incandescentBulb2.emitLight()#</cfoutput><br>
	</body>
</html>