<cfcomponent extends="lightSource" implements="uvRadiation">
	
	<!--- The star's methods. --->
	
	<cffunction name="emitLight" output="false" returntype="string" access="public">
		
		<!--- var scope variables must be set at the beginning of the function in CFMX; these are dummy values --->
		<cfset var returnVar = "">
		<cfset var luminosity = "">
		
		<!--- Get the star's luminosity. --->
		<cfset luminosity = createObject("component", "fusion").performFusion(this)>
		
		<!--- Set up the display of the star. --->
		<cfset returnVar = displayLight(luminosity)>
		
		<cfreturn returnVar>
	</cffunction>
	
	<cffunction name="emitUVRadiation" output="false" returntype="string" access="public">
		
		<!--- var scope variables must be set at the beginning of the function in CFMX; these are dummy values --->
		<cfset var returnVar = "">
		<cfset var luminosity = "">
		
		<!--- Some set of instructions here to emit UV radiation. --->
		<cfset returnVar = "[your bald spot is frying--put on some sunscreen]">
		
		<cfreturn returnVar>
	</cffunction>
</cfcomponent>