<!---
	java.io.File.createTempFile( prefix, suffix, directory )
	
	Parameters:
	
    prefix - The prefix string to be used in generating the file's name;
			 	must be at least three characters long
			 
    suffix - The suffix string to be used in generating the file's name;
			 	may be null, in which case the suffix ".tmp" will be used
			 
    directory - The directory in which the file is to be created, or null
					if the default temporary-file directory is to be used
--->

<cfset Variables.f = createObject( "java", "java.io.File" )>

<cfset Variables.tempFile = Variables.f.createTempFile( "test", JavaCast( "null", "" ), JavaCast( "null", "" ) )>
<cfoutput>#Variables.tempFile.toString()#</cfoutput><br>

<cfset Variables.tempFile = Variables.f.createTempFile( "test", null, null )>
<cfoutput>#Variables.tempFile.toString()#</cfoutput><br>