<cfcomponent type="abstract">
	<!--- The light source's properties.  These are dummy values. --->
	<cfset this.color = "">
	<cfset this.diameter = 0>
	<cfset this.surfaceTemperature = 0>
	<cfset this.luminosity = 0>
	
	<!--- The light source's methods. --->
	
	<cffunction name="emitLight" output="false" returntype="string" access="public" type="abstract">
	</cffunction>
	
	<cffunction name="displayLight" output="false" returntype="string" access="private">
		
		<!--- var scope variables must be set at the beginning of the function in CFMX; these are dummy values --->
		<cfset var returnVar = "">
		
		<!--- Some set of instructions here to display the light. --->
		<cfset returnVar = "[" & this.luminosity & " Watts]">
		
		<cfreturn returnVar>
	</cffunction>
</cfcomponent>